package com.platform.modules.app.service;


import com.baomidou.mybatisplus.service.IService;
import com.platform.modules.app.form.LoginForm;
import com.platform.modules.app.entity.UserEntity;

/**
 * 用户
 */
public interface UserService extends IService<UserEntity> {

	UserEntity queryByMobile(String mobile);

	UserEntity queryByUsername(String username);

	/**
	 * 用户登录
	 * @param form    登录表单
	 * @return        返回用户ID
	 */
	long login(LoginForm form);
	
	/**
	 * 用户登录
	 * @param form    登录表单
	 * @return        返回用户信息
	 */
	UserEntity loginGetUser(LoginForm form);
}
